package org.openmobileis.common.util.log;

import java.io.PrintStream;
import java.util.Properties;

public final class NullLogTracer implements LogTracer {

	public NullLogTracer() {
	}

	public PrintStream getLogPrintStream() {
		return null;
	}

	public void setLogStream(PrintStream newStream) {
	}

	public void setLogTracerProperties(Properties props) {
	}

	public void trace(int service, int priority, String message) {
	}

}
